package com.ss.android.ugc.aweme.feed.adapter;

import X.2GO;
import X.4aP;
import X.4lx;
import X.878;
import X.C0032Chg;
import X.C0033Chh;
import android.text.TextUtils;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.RelationLabelHelper;

public class ForwardFeedVideoViewHolder extends VideoViewCell implements 2GO {
    public final C0032Chg LIZLLL = new C0032Chg(LJLJJI(), this.LJJIIZ);
    public Aweme LJ;

    static {
        Covode.recordClassIndex(76443);
    }

    public final Aweme LJJJ() {
        return this.LJ;
    }

    public final void cq_() {
        super.cq_();
        C0032Chg chg = this.LIZLLL;
        if (chg.LIZIZ == null) {
            return;
        }
        if ((chg.LIZIZ.getRelationLabel() != null && chg.LIZIZ.getRelationLabel().getType() == 1 && !TextUtils.isEmpty(chg.LIZIZ.getRelationLabel().getLabelInfo())) || (chg.LIZIZ.getFeedRelationLabel() != null && chg.LIZIZ.getFeedRelationLabel().getType().intValue() == 3 && !878.LIZ(chg.LIZIZ.getFeedRelationLabel().getUserList()))) {
            new C0033Chh(chg);
            if (chg.LIZ != null && !RelationLabelHelper.hasDuoShanLabel(chg.LIZIZ.getForwardItem()) && !RelationLabelHelper.hasNewRelationLabel(chg.LIZIZ.getForwardItem())) {
                if (RelationLabelHelper.hasNewRelationLabel(chg.LIZIZ)) {
                    chg.LIZIZ.getForwardItem().setNewRelationLabel(chg.LIZIZ.getNewRelationLabel());
                    chg.LIZIZ.getForwardItem();
                    return;
                }
                chg.LIZIZ.getForwardItem();
                chg.LIZIZ.getRelationLabel().getLabelInfo();
            }
        }
    }

    public final void LIZ(Aweme aweme) {
        this.LJ = aweme;
        this.LIZLLL.LIZIZ = aweme;
        super.LIZ(4lx.LIZJ(this.LJ));
    }

    public final Aweme LJI(int i) {
        if (i == 7) {
            return this.LJ;
        }
        return super.LJI(i);
    }

    public ForwardFeedVideoViewHolder(4aP r4) {
        super(r4);
    }
}
